#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;
using NinjaTrader.Gui.Tools;
#endregion

//This namespace holds Add ons in this folder and is required. Do not change it. 
namespace NinjaTrader.NinjaScript.AddOns
{
	public class MigrateFromNT7 : NinjaTrader.NinjaScript.AddOnBase
	{
		private NTMenuItem addOnFrameworkMenuItem;
		private NTMenuItem existingMenuItemInControlCenter;
		
		protected override void OnStateChange()
		{
			if (State == State.SetDefaults)
			{
				Description									= @"Enter the description for your new custom Add on here.";
				Name										= "MigrateFromNT7";
			}
			else if (State == State.Configure)
			{
		
			}
		}

		private void OnMenuItemClick(object sender, RoutedEventArgs e)
        {
            MigrateNT7 mnt=new MigrateNT7();
			mnt.MigrateDB();
        }
		protected override void OnWindowDestroyed(Window window)
		{
			if (addOnFrameworkMenuItem != null && window is ControlCenter)
			{
				if (existingMenuItemInControlCenter != null && existingMenuItemInControlCenter.Items.Contains(addOnFrameworkMenuItem))
					existingMenuItemInControlCenter.Items.Remove(addOnFrameworkMenuItem);

				addOnFrameworkMenuItem.Click -= OnMenuItemClick;
				addOnFrameworkMenuItem = null;
			}
		}
		
		protected override void OnWindowCreated(Window window)
		{
			// We want to place our AddOn in the Control Center's menus
			ControlCenter cc = window as ControlCenter;
			if (cc == null)
				return;

            /* Determine we want to place our AddOn in the Control Center's "New" menu
            Other menus can be accessed via the control's "Automation ID". For example: toolsMenuItem, workspacesMenuItem, connectionsMenuItem, helpMenuItem. */
			existingMenuItemInControlCenter = cc.FindFirst("ControlCenterMenuItemNew") as NTMenuItem;
			if (existingMenuItemInControlCenter == null)
				return;
			
			addOnFrameworkMenuItem = new NTMenuItem { Header = "Migrate form NT7", Style = Application.Current.TryFindResource("MainMenuItem") as Style };

            // Add our AddOn into the "New" menu
			existingMenuItemInControlCenter.Items.Add(addOnFrameworkMenuItem);

            // Subscribe to the event for when the user presses our AddOn's menu item
			addOnFrameworkMenuItem.Click += OnMenuItemClick;
		}

	}
}
